Seasons
Seasons, for reusable pricing definitions
The season object
Attributes
iduuidUnique identifier
created_atread-onlytimestamp with time zoneCreation timestamp
updated_atread-onlytimestamp with time zoneLast modification timestamp
nameMultiLanguageStringLocalized name of the season
valueSeasonExpressionIntervals defining the season
Related resources
Embed related resources in the response with the select parameter, for example select=*,organizations(*). Resources related through more than one column need the column as a hint, like table!column(*).
{
"id": "00000000-0000-0000-0000-000000000000",
"organization_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-10-30T21:12:47.358Z",
"updated_at": "2026-10-30T21:12:47.358Z",
"name": {},
"value": {}
}curl -X GET "https://api.bookingmood.com/v1/seasons?limit=10&select=*,organizations(*)" \
-H "Authorization: Bearer YOUR_API_KEY"List seasons
Filters
idFilter<uuid>Unique identifier
created_atFilter<timestamp with time zone>Creation timestamp
updated_atFilter<timestamp with time zone>Last modification timestamp
nameFilter<MultiLanguageString>Localized name of the season
valueFilter<SeasonExpression>Intervals defining the season
Responses
200A list of seasons with the selected columns
206Partial Content
400The request is malformed, for example an unknown column or an invalid filter.
401The API key is missing or invalid.
code, message, details and hint. See the introduction for more on errors.GET /seasonscurl -X GET "https://api.bookingmood.com/v1/seasons?select=*&limit=10" \
-H "Authorization: Bearer YOUR_API_KEY"[
{
"id": "00000000-0000-0000-0000-000000000000",
"organization_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-10-30T21:12:47.358Z",
"updated_at": "2026-10-30T21:12:47.358Z",
"name": {},
"value": {}
}
]Create seasons
Body
Partial<Season> | Array<Partial<Season>>Read-only attributes are set by the database and can't be written.
Responses
201The newly created seasons with the selected columns
400The request is malformed, for example an unknown column, an invalid filter or an invalid body.
401The API key is missing or invalid.
403The API key has no permission for this change, for example when writing rows of another organization.
409The change conflicts with existing data, for example a duplicate key or a reference to a row that does not exist.
code, message, details and hint. See the introduction for more on errors.POST /seasonscurl -X POST "https://api.bookingmood.com/v1/seasons" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"name": {},
"organization_id": "00000000-0000-0000-0000-000000000000",
"value": {}
}'[
{
"id": "00000000-0000-0000-0000-000000000000",
"organization_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-10-30T21:12:47.358Z",
"updated_at": "2026-10-30T21:12:47.358Z",
"name": {},
"value": {}
}
]Delete seasons
Filters
Without filters, this request deletes all seasons you have access to. Always filter on at least one column, e.g. id=eq.{id}.
idFilter<uuid>Unique identifier
created_atFilter<timestamp with time zone>Creation timestamp
updated_atFilter<timestamp with time zone>Last modification timestamp
nameFilter<MultiLanguageString>Localized name of the season
valueFilter<SeasonExpression>Intervals defining the season
Responses
200The deleted seasons with the selected columns. Returns 204 without a body when sending the header Prefer: return=minimal.
400The request is malformed, for example an unknown column or an invalid filter.
401The API key is missing or invalid.
403The API key has no permission for this change, for example when writing rows of another organization.
code, message, details and hint. See the introduction for more on errors.DELETE /seasonscurl -X DELETE "https://api.bookingmood.com/v1/seasons?id=eq.00000000-0000-0000-0000-000000000000" \
-H "Authorization: Bearer YOUR_API_KEY"[
{
"id": "00000000-0000-0000-0000-000000000000",
"organization_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-10-30T21:12:47.358Z",
"updated_at": "2026-10-30T21:12:47.358Z",
"name": {},
"value": {}
}
]Update seasons
Filters
Without filters, this request updates all seasons you have access to. Always filter on at least one column, e.g. id=eq.{id}.
idFilter<uuid>Unique identifier
created_atFilter<timestamp with time zone>Creation timestamp
updated_atFilter<timestamp with time zone>Last modification timestamp
nameFilter<MultiLanguageString>Localized name of the season
valueFilter<SeasonExpression>Intervals defining the season
Body
Partial<Season>Read-only attributes are set by the database and can't be written.
Responses
200The updated seasons with the selected columns. Returns 204 without a body when sending the header Prefer: return=minimal.
400The request is malformed, for example an unknown column, an invalid filter or an invalid body.
401The API key is missing or invalid.
403The API key has no permission for this change, for example when writing rows of another organization.
409The change conflicts with existing data, for example a duplicate key or a reference to a row that does not exist.
code, message, details and hint. See the introduction for more on errors.PATCH /seasonscurl -X PATCH "https://api.bookingmood.com/v1/seasons?id=eq.00000000-0000-0000-0000-000000000000" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"name": {}
}'[
{
"id": "00000000-0000-0000-0000-000000000000",
"organization_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-10-30T21:12:47.358Z",
"updated_at": "2026-10-30T21:12:47.358Z",
"name": {},
"value": {}
}
]